import React from 'react'

import styles from './todoSidebar.module.css'

export default function Todos({
  card,
  userId,
  categories,
  columns,
  voteOn,
  namedGroups,
}) {
  const {
    name,
    description,
    category,
    points,
    votes,
    id,
    group,
    gitlink,
  } = card
  const voteable = columns[card.state].clickable

  // TODO: hide vote button if not voteable
  return (
    <div className={styles.container}>
      <div className={styles.title}>
        <span className={styles.id}>#{id}</span>
        <div className={'subtitle'} style={{ textAlign: 'left' }}>
          {name}
        </div>
        <span
          style={{
            backgroundColor: categories[category].color,
            color: 'white',
            fontSize: '12px',
            borderRadius: '2px',
            padding: '3px',
          }}
        >
          {categories[category].name}
        </span>
      </div>
      <hr />
      {group && (
        <div className={styles.row}>
          <div style={{ color: group }}>Csoport:</div>
          <div style={{ color: group }}>
            {namedGroups[group] ? namedGroups[group].name : group}
          </div>
        </div>
      )}
      <div className={styles.row} title={'Minél több a pont, annál nehezebb'}>
        <div>Nehézség:</div>
        <div>{points}</div>
      </div>
      <div
        className={`${styles.row} ${votes.includes(userId) &&
          styles.votedtext}`}
        title={'Hány felhasználó szavazott a feladatra'}
      >
        <div>Szavazatok:</div>
        <div>{votes.length}</div>
      </div>
      {gitlink && (
        <center>
          <div>
            <a
              href={gitlink}
              style={{ textDecoration: 'none' }}
              target={'_blank'}
              rel={'noreferrer'}
            >
              Git link
            </a>
          </div>
        </center>
      )}
      <hr />
      {description && (
        <>
          <div className={'subtitle'} style={{ textAlign: 'left' }}>
            Leírás
          </div>
          <div
            className={styles.description}
            dangerouslySetInnerHTML={{ __html: description }}
          />
          <hr />
        </>
      )}
      <div className={styles.category} />
      {voteable && (
        <center>
          <div className={'buttonContainer'} style={{ width: '40%' }}>
            <div
              className={`${styles.button} ${votes.includes(userId) &&
                styles.voted}`}
              onClick={() => {
                voteOn(card)
              }}
            >
              {votes.includes(userId) ? 'Szavazat visszavonása' : 'Szavazás'}
            </div>
          </div>
        </center>
      )}
    </div>
  )
}
