import React from 'react'

import TodoRow from './todoRow.js'

import styles from './todoTable.module.css'

export default function TodoBoard(props) {
  const { tables, cards, userId, categories, onClick, selectedGroup } = props

  return (
    <div className={styles.tableContainer}>
      <div className={styles.table}>
        {Object.keys(tables).map((key) => {
          const table = tables[key]

          const tableCards = cards.filter((card) => {
            return card.state === key
          })

          const tableCardsToShow = tableCards.filter((card) => {
            const shouldHide =
              card.state !== key ||
              (selectedGroup !== null &&
                selectedGroup !== 'uncat' &&
                card.group !== selectedGroup) ||
              (selectedGroup === 'uncat' && card.group !== undefined)

            return !shouldHide
          })

          return (
            <div className={styles.container} key={key}>
              <div className={styles.title}>{table.name}</div>
              <div className={styles.scroll}>
                {tableCardsToShow.length === 0 && (
                  <div className={styles.empty}>Üres</div>
                )}
                {tableCardsToShow.map((card, i) => {
                  return (
                    <TodoRow
                      onClick={onClick}
                      key={i}
                      type={key}
                      rowData={card}
                      userId={userId}
                      categories={categories}
                    />
                  )
                })}
              </div>
            </div>
          )
        })}
      </div>
    </div>
  )
}
